<template>
	<el-dialog v-model="dialogVisible"  :before-close="resetForm" :fullscreen="full" :title="titles" width="50%" draggable>
		<el-button @click="toggleFullscreen" size="small" class="pot" :icon="FullScreen"></el-button>
		<el-form :model="form" :disabled="disabled" label-width="120px">
			<el-row>
				<el-col :span="24">
					<el-form-item label="类型">
						<el-input v-model="form.itemType" type="textarea"></el-input>
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="24">
					<el-form-item label="考核项目">
						<el-input v-model="form.itemDetail" type="textarea"> </el-input>
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="24">
					<el-form-item label="考核内容">
						<el-input v-model="form.content" type="textarea"> </el-input>
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="24">
					<el-form-item label="评定标准">
						<el-input v-model="form.judgeStandard" type="textarea"> </el-input>
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="24">
					<el-form-item label="考核说明">
						<el-input v-model="form.memo" type="textarea"> </el-input>
					</el-form-item>
				</el-col>
			</el-row>
		</el-form>
		<template #footer>
			<span class="dialog-footer">
<!--				<el-button type="primary" @click="dialogVisible = false" size="default">继续添加</el-button>-->
				<el-button @click="resetForm" size="default">关闭</el-button>
				<el-button type="primary" @click="submitForm" size="default">确定</el-button>
			</span>
		</template>
	</el-dialog>
	<!-- <DailogAdd ref="Show"></DailogAdd>
  <DailogSearch ref="Shows"></DailogSearch> -->
</template>
<script lang="ts">
import { defineComponent, ref, reactive } from 'vue';
import { Search, FullScreen } from '@element-plus/icons-vue';
// import DailogAdd from './DailogAdd.vue'
// import DailogSearch from '../../../../components/DailogSearch/DailogSearch.vue'
export default defineComponent({
	// components:{DailogAdd,DailogSearch},
	setup(props, { emit }) {
		const dialogVisible = ref<boolean>(false);
		const form = ref({
			itemType: '', ////类型
			memo: '', //备注
			itemDetail: '', ////考核项目
			content: '', ////考核内容
			judgeStandard: '', ////评定标准
		});
		const disabled=ref(false)
		const titles=ref()
		const openDailog = (title: string, value: any) => {
			dialogVisible.value = true;
			titles.value=`${title}考核项目`
			if (title == '查看') {
				form.value = value;
				disabled.value=true
			}else if(title == '修改'){
				disabled.value=false
				form.value = value;
			}
		};
		// 提交
		const submitForm = () => {
			dialogVisible.value = false;
			emit('onAdd', form.value);
			form.value = {
				itemType: '', ////类型
				memo: '', //备注
				itemDetail: '', ////考核项目
				content: '', ////考核内容
				judgeStandard: '', ////评定标准
			};
		};
		// 取消
		const resetForm = () => {
			dialogVisible.value = false;
			form.value = {
				itemType: '', ////类型
				memo: '', //备注
				itemDetail: '', ////考核项目
				content: '', ////考核内容
				judgeStandard: '', ////评定标准
			};
		};
		//全屏
		const full = ref(false);
		const toggleFullscreen = () => {
			if (full.value == false) {
				full.value = true;
			} else {
				full.value = false;
			}
		};
		return {
			form,
			disabled,
			titles,
			dialogVisible,
			openDailog,
			submitForm,
			resetForm,
			Search,
			full,
			toggleFullscreen,
			FullScreen,
		};
	},
});
</script>
<style scoped>
.el-row {
	padding: 0 0 20px 0;
}
</style>